Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86163 - rpm-4.2-0.71 segmentation faults
Summary: rpm-4.2-0.71 segmentation faults
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: rpm
Version: phoebe
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-15 09:17 UTC by Warren Togami
Modified: 2007-04-18 16:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-15 15:49:46 UTC


Attachments (Terms of Use)

Description Warren Togami 2003-03-15 09:17:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030221

Description of problem:
rpm-4.2-0.71 seems to Segmentation Fault on some packages when you use "rpm -q"
consistently, but not others.

[root@laptop root]# rpm -q rpm
rpm-4.2-0.71
[root@laptop root]# rpm -q kdebase
kdebase-3.1-9
Segmentation fault
[root@laptop root]# rpm -q kdelibs
kdelibs-3.1-9
Segmentation fault
[root@laptop root]# rpm -q glibc
glibc-2.3.1-51
[root@laptop root]# rpm -q gnome-panel
gnome-panel-2.2.0.1-7

Also it segfaults every time if I CTRL-C from "rpm -qa".

Version-Release number of selected component (if applicable):
rpm-4.2-0.71
kernel-2.4.20-0.54
glibc-2.3.1-51

How reproducible:
Always

Steps to Reproduce:
1. rpm -q certain packages OR rpm -qa and CTRL-C

Comment 1 Jeff Johnson 2003-03-15 15:49:46 UTC
Fixed in rpm-4.2-0.72.

Comment 2 Need Real Name 2003-03-19 06:48:30 UTC
What is the simplest way to reinstall an older rpm package? rpm-4.2-0.71
segfaults on me when installing packages.

Comment 3 Michael Young 2003-03-19 10:13:40 UTC
There has been some discussion of this on the phoebe mailling list. The message
https://listman.redhat.com/pipermail/phoebe-list/2003-March/004704.html
is probably the most useful.


Note You need to log in before you can comment on or make changes to this bug.